Subject: Fw: Other misc things in the drafts

From: "Joseph Galbraith" <[email-masked]>
Date: Wed, 8 Aug 2001 16:58:41 +0100

Whoopss... I meant for this to do to the list
as well.

- Joseph

----- Original Message -----
From: "Joseph Galbraith" <[email-masked]>
To: "Niels Möller" <[email-masked]>
Sent: Wednesday, August 08, 2001 4:57 PM
Subject: Re: Other misc things in the drafts

> > > - In the connection draft, section 4.3.1, we should note
> > >   that the x11 authentication cookie MUST be hexadecimal
> > >   encoded.
> >
> > Why? Is that what people are doing (I haven't implemented x11
> > forwarding yet). It seems very strange to me to use a redundant but
> > ascii-friendly encoding for things in the binary very eight-bit clean
> > ssh protocols.
>
> Yes -- it is current practice.  I agree it is gross -- I believe
> it is done this way because the string is passed directly to
> the xauth program, but I'm not sure.
>
> > > - In the connection draft, section 5.1, we should specify
> > >   text like this:
> > >
> > >   The response to the "tcpip-forward" request will look like:
> > >
> > >      byte SSH_MSG_GLOBAL_REQUEST_SUCCESS
> > >      string "tcpip-forward"
> > >      uint32 port that was bound on server
> > >
> > >   We should also explicitly allow binding to port
> > >   0 to indicate any port.
> >
> > I agree this is a good idea. Although I think that for backwards
> > compatibility we should either
> >
> >  (i) say that the port field is included *only* when binding port 0,
> >      or
> >  (ii) use a new request type
>
> Again, take a look at the new proposal which is fully
> back-wards compatible.
>
> Thanks,
>
> Joseph
>